Bug 24110 - Template vars are incorrectly html filtered when dumped
Summary: Template vars are incorrectly html filtered when dumped
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 13618
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-26 08:24 UTC by Jonathan Druart
Modified: 2020-03-18 17:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 24110: Do not html filter TT vars when dumped (2.38 KB, patch)
2019-11-26 08:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24110: Do not html filter TT vars when dumped (2.54 KB, patch)
2020-02-14 15:24 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24110: Do not html filter TT vars when dumped (2.55 KB, patch)
2020-02-17 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-11-26 08:24:36 UTC
Referring to DumpTemplateVarsIntranet and DumpTemplateVarsOpac
Comment 1 Jonathan Druart 2019-11-26 08:30:34 UTC
Created attachment 95809 [details] [review]
Bug 24110: Do not html filter TT vars when dumped

DumpTemplateVarsIntranet and DumpTemplateVarsOpac are devs tools to
display the variables sent to the template. They should not be filtered
otherwise it's getting completed to read.

For instance: $VAR1 = { var => val }

Test plan:
Turn DumpTemplateVarsIntranet on
Go to the main page
Show the source of the page
Confirm that the variable are displayed as it and not filtered
Comment 2 Bernardo Gonzalez Kriegel 2020-02-14 15:24:49 UTC
Created attachment 98962 [details] [review]
Bug 24110: Do not html filter TT vars when dumped

DumpTemplateVarsIntranet and DumpTemplateVarsOpac are devs tools to
display the variables sent to the template. They should not be filtered
otherwise it's getting completed to read.

For instance: $VAR1 = { var => val }

Test plan:
Turn DumpTemplateVarsIntranet on
Go to the main page
Show the source of the page
Confirm that the variable are displayed as it and not filtered

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Confirmed variable is not filtered.
Fixed a little error on opac file (changed Use -> USE)
No other errors
Comment 3 Katrin Fischer 2020-02-17 21:46:58 UTC
Created attachment 99135 [details] [review]
Bug 24110: Do not html filter TT vars when dumped

DumpTemplateVarsIntranet and DumpTemplateVarsOpac are devs tools to
display the variables sent to the template. They should not be filtered
otherwise it's getting complicate to read.

For instance: $VAR1 = { var =&gt; val }

Test plan:
Turn DumpTemplateVarsIntranet on
Go to the main page
Show the source of the page
Confirm that the variable are displayed as it and not filtered

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Confirmed variable is not filtered.
Fixed a little error on opac file (changed Use -> USE)
No other errors
Comment 4 Martin Renvoize 2020-02-19 11:34:34 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-03-13 00:04:51 UTC
Pushed to 19.11.x for 19.11.04
Comment 6 Lucas Gass 2020-03-18 17:01:04 UTC
backported to 19.05.x for 19.05.09